6954901: langtools/test/Makefile should check for bin/javac(.exe) instead of lib/tools.jar
Reviewed-by: ohair
--- a/langtools/test/Makefile Wed May 19 16:43:30 2010 +0100
+++ b/langtools/test/Makefile Fri May 21 17:32:19 2010 -0700
@@ -50,6 +50,7 @@
endif
endif
endif
+ EXE_SUFFIX=.exe
endif
# Root of this test area (important to use full paths in some places)
@@ -105,12 +106,13 @@
# PRODUCT_HOME is a JPRT variable pointing to a directory containing the output from
# make/Makefile
# For langtools, this is a directory containing build and dist
-# For a control build, this is build/$(PRODUCT)-$(ARCH)/j2sdk-image
+# For a control build, this is build/$(PRODUCT)-$(ARCH)/XYZ-image
+# (i.e, j2sdk-image or jdk-module-image)
ifdef PRODUCT_HOME
ifeq ($(shell [ -r $(PRODUCT_HOME)/dist/lib/classes.jar ]; echo $$?),0)
TESTBOOTCLASSPATH = $(PRODUCT_HOME)/dist/lib/classes.jar
endif
- ifeq ($(shell [ -r $(PRODUCT_HOME)/lib/tools.jar ]; echo $$?),0)
+ ifeq ($(shell [ -r $(PRODUCT_HOME)/bin/javac$(EXE_SUFFIX) ]; echo $$?),0)
TESTJAVA = $(PRODUCT_HOME)
endif
endif